<?php
/**
 * WP Courseware Database Table Member Levels.
 *
 * @package WPCW
 * @subpackage Database\Tables
 * @since 4.3.0
 */
namespace WPCW\Database\Tables;

// Exit if accessed directly
defined( 'ABSPATH' ) || exit;

/**
 * Class DB_Table_Member_Levels.
 *
 * @since 4.3.0
 */
final class DB_Table_Member_Levels extends DB_Table {

	/**
	 * @var string Table name
	 * @since 4.3.0
	 */
	protected $name = 'wpcw_member_levels';

	/**
	 * @var int Database Table version
	 * @since 4.3.0
	 */
	protected $version = 430;

	/**
	 * Setup the database schema.
	 *
	 * @since 4.3.0
	 */
	protected function set_schema() {
		$this->schema = "course_id int(11) NOT NULL,
  				         member_level_id varchar(100) NOT NULL,
  				         UNIQUE KEY course_id (course_id,member_level_id)";
	}
}